<div class="input-list" {{did-insert this.setup}} ...attributes>
  {{#if (eq this.value.length 1)}}
    <div class="mb-3">
      <button type="button" class="btn-delete float-end btn btn-danger" {{on "click" (fn this.remove 0)}}>
        <FaIcon @icon="trash" />
      </button>

      {{yield (get this.value 0) (fn this.change 0)}}
    </div>
  {{/if}}

  {{#if (gt this.value.length 1)}}
    <ol>
      {{#each this.value as |item index|}}
        <li class="mb-3">
          <button type="button" class="btn-delete float-end btn btn-danger" {{on "click" (fn this.remove index)}}>
            <FaIcon @icon="trash" />
          </button>
          {{yield item (fn this.change index)}}
        </li>
      {{/each}}
    </ol>
  {{/if}}

  {{#unless @disableAdd}}
    <button type="button" class="btn btn-outline-primary btn-add" {{on "click" this.add}}>
      <FaIcon @icon="plus" />
      {{@plusLabel}}
    </button>
  {{/unless}}
</div>